{% extends 'main/sample.html' %}
{% load static %}

{% block title %} Кабінет {% endblock %}
{% block css_url %} <link rel="stylesheet" href="{% static 'main/css/main.css' %}"> {% endblock %}
{% block js_url %}
<script src="{% static 'main/js/office_patient.js' %}"></script>
<script src="{% static 'main/js/rating.js' %}"></script>
<script src="{% static 'main/js/popup.js' %}"></script>
{% endblock %}

{% block content %}
{% include 'main/objects/header.html' %}

<main class="lock-padding">
    <section class="greeting">
        <h1>Вітаємо, {{ user.last_name }} {{ user.first_name }} {{ user.surname }}!</h1>
        <p>Тут ви можете записуватись до лікарів, купувати ліки та переглядати<br>інформацію про свій стан здоров'я!</p>
    </section>
    <section>
        {% if not user.user_verified %}
        <div class="warning">
            <p class="warning_message"><strong>Увага! Ваша електронна адреса не підтверджена!</strong>
                Це обмежує можливості користувача на сайті, тому наш сервіс наполегливо рекомендує
                <a class="email_verify" href="{% url 'verification' %}">підтвердити свою електронну адресу</a></p>
        </div>
        {% endif %}
        <div class="tabs_body">
            <nav class="tabs_items">
                <a href="#" data-target="#tab_1" class="tab_nav selected" onclick="changeColor(event, '#tab_1'); this.classList.add('selected')">
                    <span>Мої замовлення</span>
                    <img class="tab_img" src="{% static 'main/icons/tab_orders.png' %}">
                    <img class="tab_img_selected" src="{% static 'main/icons/tab_orders_selected.png' %}">
                </a>
                <a href="#" data-target="#tab_2" class="tab_nav" onclick="changeColor(event, '#tab_2')">
                    <span>Мої записи</span>
                    <img class="tab_img" src="{% static 'main/icons/tab_appointments.png' %}">
                    <img class="tab_img_selected" src="{% static 'main/icons/tab_appointments_selected.png' %}">
                </a>
                <a href="#" data-target="#tab_3" class="tab_nav" onclick="changeColor(event, '#tab_3')">
                    <span>Особиста інформація</span>
                    <img class="tab_img" src="{% static 'main/icons/tab_info.png' %}">
                    <img class="tab_img_selected" src="{% static 'main/icons/tab_info_selected.png' %}">
                </a>
                <a href="#" data-target="#tab_4"  class="tab_nav" onclick="changeColor(event, '#tab_4')">
                    <span>Налаштування акаунту</span>
                    <img class="tab_img" src="{% static 'main/icons/tab_settings.png' %}">
                    <img class="tab_img_selected" src="{% static 'main/icons/tab_settings_selected.png' %}">
                </a>
            </nav>
            <div class="tabs_section">
                <div id="tab_1" class="tab_block active">
                    {% if user_order %}
                    <div class="office_card_box">
                        {% for order in user_order %}
                        <div class="office_card">
                            <h4 class="office_card_title">Замовлення №{{order.id}}</h4>
                            <ul class="office_card_info">
                                <li><b>Препарат:</b><br>{{order.order_medicine}}</li>
                                <li><b>Кількість:</b><br>{{order.order_amount}}</li>
                                <li><b>Всього до сплати:</b><br>{{order.order_price}}</li>
                                <li><b>Пункт видачі:</b><br>{{order.order_location}}</li>
                                <li><b>Код замовлення:</b><br>{{order.order_code}}</li>
                                <li class="order_date">{{order.time_create}}<br>замовлення дійсне 24 години</li>
                            </ul>
                        </div>
                        {% endfor %}
                    </div>
                    {% else %}
                    <div class="clear_tab">
                        <p>Замовлень немає</p>
                    </div>
                    {% endif %}
                </div>
                <div id="tab_2" class="tab_block">
                    {% if user_appointment %}
                    <div class="office_card_box">
                        {% for appointment in user_appointment %}
                        <div class="office_card">
                            <h4 class="office_card_title">Запис №{{appointment.id}}</h4>
                            <ul class="office_card_info">
                                <li><b>ПІБ лікаря:</b><br>{{appointment.doctor}}</li>
                                <li><b>Спеціалізація:</b><br>{{appointment.doctor_specialization}}</li>
                                <li><b>Дата зустрічі:</b><br>{{appointment.day}}: {{ appointment.time }}</li>
                                <li><b>Посилання:</b><br><a href="{{appointment.meet_url}}" target="_blank">{{appointment.meet_url}}</a></li>
                                <li class="order_date">{{appointment.time_create}}<br>запис дійсний 24 години</li>
                            </ul>
                        </div>
                        {% endfor %}
                    </div>
                    {% else %}
                    <div class="clear_tab">
                        <p>Записів немає</p>
                    </div>
                    {% endif %}
                </div>
                <div id="tab_3" class="tab_block">
                    <p><b>Прізвище:</b> {{ user.last_name }}</p>
                    <p><b>Ім'я:</b> {{ user.first_name }}</p>
                    <p><b>По батькові:</b> {{ user.surname }}</p>
                    <p><b>Стать:</b> {% if user.gender == 'm' %}Чоловіча{% else %}Жіноча{% endif %}</p>
                    <p><b>Дата народження:</b> {{ user.birth_date }}</p>
                    {% if user.birth_date == date.today %}
                        <p>Вітаємо з днем народження!</p>
                    {% endif %}
                    <p><b>Номер телефону:</b> {{ user.phone_number }}</p>
                    <div class="email_content">
                        <p><b>Електронна адреса:</b> {{ user.email }}
                        {% if not user.user_verified %}
                            <a class="email_verify" href="{% url 'verification' %}">Підтвердити електронну адресу</a>
                        {% else %}
                            <img class="success_icon" src="{% static 'main/icons/success-48.png' %}" alt="success">
                        {% endif %}
                        </p>
                    </div>
                </div>
                <div id="tab_4" class="tab_block">
                    <div class="user_settings">
                        <p>Налаштування акаунту</p>
                    </div>
                    <div class="logout_button_box">
                        <a class="logout_button" href="{% url 'logout' %}">Вийти з акаунту</a>
                    </div>
                </div>
            </div>
        </div>
        {% if not user.user_send_review %}
        <div class="review_box">
            <p class="review_message">Сподобався наш сервіс? Залиште відгук і, можливо, він зявиться на головній сторінці нашого сайту!</p>
            <a href="#review" class="review_send popup-link" data-user_verified="{{user.user_verified}}">Залишити відгук</a>
        </div>
        <div id="review" class="popup">
            <div class="popup_body">
                <div class="popup_box">
                    <a href="#" class="popup_close close-popup"><img src="{% static 'main/icons/close-50.png' %}"></a>
                    <h2 class="popup_header">Залишити відгук</h2>
                    <div class="popup_content">
                        <div class="popup_info">
                            <label>
                                <div class="rating_stars_send">
                                    <p>Оцінка:</p>
                                    <span class="star active" data-value="1"></span>
                                    <span class="star active" data-value="2"></span>
                                    <span class="star active" data-value="3"></span>
                                    <span class="star active" data-value="4"></span>
                                    <span class="star active" data-value="5"></span>
                                    <input class="review_rating_send" type="number" value="5" min="1" max="5" disabled="True">
                                </div>
                                <textarea class="review_message_send" type="text" max="1000" placeholder="Відгук (необов'язково)"></textarea>
                            </label>
                        </div>
                    </div>
                    <div class="popup_footer">
                        <a id="send-link" class="popup_link close-popup" href="#"
                           data-text="text"
                           data-rating="rating"
                        >Відправити</a>
                    </div>
                </div>
            </div>
        </div>
        {% endif %}
    </section>
</main>

{% include 'main/objects/footer.html' %}
{% endblock %}